#ifndef DOM_BINDINGNAMES_H_
#define DOM_BINDINGNAMES_H_

#include <stddef.h>
#include <stdint.h>
#include "mozilla/Attributes.h"

namespace mozilla::dom {

enum class BindingNamesOffset : uint16_t {
  ANGLE_instanced_arrays = 0,
  APZHitResultFlags = 23,
  AbortController = 41,
  AbortSignal = 57,
  AbstractRange = 69,
  AccessibleNode = 83,
  Addon = 98,
  AddonEvent = 104,
  AddonInstall = 115,
  AddonManager = 128,
  AddonManagerPermissions = 141,
  AnalyserNode = 165,
  Animation = 178,
  AnimationEffect = 188,
  AnimationEvent = 204,
  AnimationPlaybackEvent = 219,
  AnimationTimeline = 242,
  AnonymousContent = 260,
  Attr = 277,
  Audio = 282,
  AudioBuffer = 288,
  AudioBufferSourceNode = 300,
  AudioContext = 322,
  AudioData = 335,
  AudioDecoder = 345,
  AudioDestinationNode = 358,
  AudioEncoder = 379,
  AudioListener = 392,
  AudioNode = 406,
  AudioParam = 416,
  AudioParamMap = 427,
  AudioProcessingEvent = 441,
  AudioScheduledSourceNode = 462,
  AudioTrack = 487,
  AudioTrackList = 498,
  AudioWorklet = 513,
  AudioWorkletGlobalScope = 526,
  AudioWorkletNode = 550,
  AudioWorkletProcessor = 567,
  AuthenticatorAssertionResponse = 589,
  AuthenticatorAttestationResponse = 620,
  AuthenticatorResponse = 653,
  BarProp = 675,
  BaseAudioContext = 683,
  BatteryManager = 700,
  BeforeUnloadEvent = 715,
  BiquadFilterNode = 733,
  Blob = 750,
  BlobEvent = 755,
  BroadcastChannel = 765,
  BrowsingContext = 782,
  BrowsingContextGroup = 798,
  ByteLengthQueuingStrategy = 819,
  CDATASection = 845,
  CSPViolationReportBody = 858,
  CSS = 881,
  CSS2Properties = 885,
  CSSAnimation = 900,
  CSSConditionRule = 913,
  CSSContainerRule = 930,
  CSSCounterStyleRule = 947,
  CSSCustomPropertyRegisteredEvent = 967,
  CSSFontFaceRule = 1000,
  CSSFontFeatureValuesRule = 1016,
  CSSFontPaletteValuesRule = 1041,
  CSSGroupingRule = 1066,
  CSSImportRule = 1082,
  CSSKeyframeRule = 1096,
  CSSKeyframesRule = 1112,
  CSSLayerBlockRule = 1129,
  CSSLayerStatementRule = 1147,
  CSSMarginRule = 1169,
  CSSMediaRule = 1183,
  CSSMozDocumentRule = 1196,
  CSSNamespaceRule = 1215,
  CSSNestedDeclarations = 1232,
  CSSPageDescriptors = 1254,
  CSSPageRule = 1273,
  CSSPositionTryDescriptors = 1285,
  CSSPositionTryRule = 1311,
  CSSPropertyRule = 1330,
  CSSPseudoElement = 1346,
  CSSRule = 1363,
  CSSRuleList = 1371,
  CSSScopeRule = 1383,
  CSSStartingStyleRule = 1396,
  CSSStyleDeclaration = 1417,
  CSSStyleRule = 1437,
  CSSStyleSheet = 1450,
  CSSSupportsRule = 1464,
  CSSTransition = 1480,
  Cache = 1494,
  CacheStorage = 1500,
  CallbackDebuggerNotification = 1513,
  CanonicalBrowsingContext = 1542,
  CanvasCaptureMediaStream = 1567,
  CanvasGradient = 1592,
  CanvasPattern = 1607,
  CanvasRenderingContext2D = 1621,
  CaretPosition = 1646,
  CaretStateChangedEvent = 1660,
  ChannelMergerNode = 1683,
  ChannelSplitterNode = 1701,
  ChannelWrapper = 1721,
  CharacterData = 1736,
  CheckerboardReportService = 1750,
  ChildProcessMessageManager = 1776,
  ChildSHistory = 1803,
  ChromeMessageBroadcaster = 1817,
  ChromeMessageSender = 1842,
  ChromeNodeList = 1862,
  ChromeUtils = 1877,
  ChromeWorker = 1889,
  Client = 1902,
  Clients = 1909,
  Clipboard = 1917,
  ClipboardEvent = 1927,
  ClipboardItem = 1942,
  ClonedErrorHolder = 1956,
  CloseEvent = 1974,
  CloseWatcher = 1985,
  CommandEvent = 1998,
  Comment = 2011,
  CompositionEvent = 2019,
  CompressionStream = 2036,
  ConsoleInstance = 2054,
  ConstantSourceNode = 2070,
  ContentFrameMessageManager = 2089,
  ContentProcessMessageManager = 2116,
  ContentVisibilityAutoStateChangeEvent = 2145,
  ConvolverNode = 2183,
  CookieChangeEvent = 2197,
  CookieStore = 2215,
  CookieStoreManager = 2227,
  CountQueuingStrategy = 2246,
  CreateOfferRequest = 2267,
  Credential = 2286,
  CredentialsContainer = 2297,
  Crypto = 2318,
  CryptoKey = 2325,
  CustomElementRegistry = 2335,
  CustomEvent = 2357,
  CustomStateSet = 2369,
  DOMException = 2384,
  DOMImplementation = 2397,
  DOMLocalization = 2415,
  DOMMatrix = 2431,
  DOMMatrixReadOnly = 2441,
  DOMParser = 2459,
  DOMPoint = 2469,
  DOMPointReadOnly = 2478,
  DOMQuad = 2495,
  DOMRect = 2503,
  DOMRectList = 2511,
  DOMRectReadOnly = 2523,
  DOMStringList = 2539,
  DOMStringMap = 2553,
  DOMTokenList = 2566,
  DataTransfer = 2579,
  DataTransferItem = 2592,
  DataTransferItemList = 2609,
  DebuggerNotification = 2630,
  DebuggerNotificationObserver = 2651,
  DecompressionStream = 2680,
  DedicatedWorkerGlobalScope = 2700,
  DelayNode = 2727,
  DeprecationReportBody = 2737,
  DeviceAcceleration = 2759,
  DeviceLightEvent = 2778,
  DeviceMotionEvent = 2795,
  DeviceOrientationEvent = 2813,
  DeviceRotationRate = 2836,
  Directory = 2855,
  Document = 2865,
  DocumentFragment = 2874,
  DocumentL10n = 2891,
  DocumentTimeline = 2904,
  DocumentType = 2921,
  DominatorTree = 2934,
  DragEvent = 2948,
  DynamicsCompressorNode = 2958,
  EXT_blend_minmax = 2981,
  EXT_color_buffer_float = 2998,
  EXT_color_buffer_half_float = 3021,
  EXT_depth_clamp = 3049,
  EXT_disjoint_timer_query = 3065,
  EXT_float_blend = 3090,
  EXT_frag_depth = 3106,
  EXT_sRGB = 3121,
  EXT_shader_texture_lod = 3130,
  EXT_texture_compression_bptc = 3153,
  EXT_texture_compression_rgtc = 3182,
  EXT_texture_filter_anisotropic = 3211,
  EXT_texture_norm16 = 3242,
  Element = 3261,
  ElementInternals = 3269,
  EncodedAudioChunk = 3286,
  EncodedVideoChunk = 3304,
  ErrorEvent = 3322,
  Event = 3333,
  EventCallbackDebuggerNotification = 3339,
  EventCounts = 3373,
  EventSource = 3385,
  EventTarget = 3397,
  Exception = 3409,
  ExtendableCookieChangeEvent = 3419,
  ExtendableEvent = 3447,
  ExtendableMessageEvent = 3463,
  ExtensionAlarms = 3486,
  ExtensionBrowser = 3502,
  ExtensionBrowserSettings = 3519,
  ExtensionBrowserSettingsColorManagement = 3544,
  ExtensionDns = 3584,
  ExtensionEventManager = 3597,
  ExtensionMockAPI = 3619,
  ExtensionPort = 3636,
  ExtensionProxy = 3650,
  ExtensionRuntime = 3665,
  ExtensionScripting = 3682,
  ExtensionSetting = 3701,
  ExtensionTest = 3718,
  External = 3732,
  FeaturePolicy = 3741,
  FeaturePolicyViolationReportBody = 3755,
  FetchEvent = 3788,
  FetchObserver = 3799,
  File = 3813,
  FileList = 3818,
  FileReader = 3827,
  FileReaderSync = 3838,
  FileSystem = 3853,
  FileSystemDirectoryEntry = 3864,
  FileSystemDirectoryHandle = 3889,
  FileSystemDirectoryHandle_AsyncIterator = 3915,
  FileSystemDirectoryIterator = 3955,
  FileSystemDirectoryReader = 3983,
  FileSystemEntry = 4009,
  FileSystemFileEntry = 4025,
  FileSystemFileHandle = 4045,
  FileSystemHandle = 4066,
  FileSystemSyncAccessHandle = 4083,
  FileSystemWritableFileStream = 4110,
  Flex = 4139,
  FlexItemValues = 4144,
  FlexLineValues = 4159,
  FluentBundle = 4174,
  FluentBundleAsyncIterator = 4187,
  FluentBundleIterator = 4213,
  FluentPattern = 4234,
  FluentResource = 4248,
  FocusEvent = 4263,
  FontFace = 4274,
  FontFaceSet = 4283,
  FontFaceSetIterator = 4295,
  FontFaceSetLoadEvent = 4315,
  FormData = 4336,
  FormData_Iterator = 4345,
  FormDataEvent = 4363,
  FragmentDirective = 4377,
  FrameCrashedEvent = 4395,
  FrameLoader = 4413,
  GPU = 4425,
  GPUAdapter = 4429,
  GPUAdapterInfo = 4440,
  GPUBindGroup = 4455,
  GPUBindGroupLayout = 4468,
  GPUBuffer = 4487,
  GPUBufferUsage = 4497,
  GPUCanvasContext = 4512,
  GPUColorWrite = 4529,
  GPUCommandBuffer = 4543,
  GPUCommandEncoder = 4560,
  GPUCompilationInfo = 4578,
  GPUCompilationMessage = 4597,
  GPUComputePassEncoder = 4619,
  GPUComputePipeline = 4641,
  GPUDevice = 4660,
  GPUDeviceLostInfo = 4670,
  GPUError = 4688,
  GPUExternalTexture = 4697,
  GPUInternalError = 4716,
  GPUMapMode = 4733,
  GPUOutOfMemoryError = 4744,
  GPUPipelineLayout = 4764,
  GPUQuerySet = 4782,
  GPUQueue = 4794,
  GPURenderBundle = 4803,
  GPURenderBundleEncoder = 4819,
  GPURenderPassEncoder = 4842,
  GPURenderPipeline = 4863,
  GPUSampler = 4881,
  GPUShaderModule = 4892,
  GPUShaderStage = 4908,
  GPUSupportedFeatures = 4923,
  GPUSupportedLimits = 4944,
  GPUTexture = 4963,
  GPUTextureUsage = 4974,
  GPUTextureView = 4990,
  GPUUncapturedErrorEvent = 5005,
  GPUValidationError = 5029,
  GainNode = 5048,
  Gamepad = 5057,
  GamepadAxisMoveEvent = 5065,
  GamepadButton = 5086,
  GamepadButtonEvent = 5100,
  GamepadEvent = 5119,
  GamepadHapticActuator = 5132,
  GamepadLightIndicator = 5154,
  GamepadPose = 5176,
  GamepadServiceTest = 5188,
  GamepadTouch = 5207,
  Geolocation = 5220,
  GeolocationCoordinates = 5232,
  GeolocationPosition = 5255,
  GeolocationPositionError = 5275,
  GetUserMediaRequest = 5300,
  GleanBoolean = 5320,
  GleanCategory = 5333,
  GleanCounter = 5347,
  GleanCustomDistribution = 5360,
  GleanDatetime = 5384,
  GleanDenominator = 5398,
  GleanEvent = 5415,
  GleanImpl = 5426,
  GleanLabeled = 5436,
  GleanMemoryDistribution = 5449,
  GleanMetric = 5473,
  GleanNumerator = 5485,
  GleanObject = 5500,
  GleanPingsImpl = 5512,
  GleanQuantity = 5527,
  GleanRate = 5541,
  GleanString = 5551,
  GleanStringList = 5563,
  GleanText = 5579,
  GleanTimespan = 5589,
  GleanTimingDistribution = 5603,
  GleanUrl = 5627,
  GleanUuid = 5636,
  Grid = 5646,
  GridArea = 5651,
  GridDimension = 5660,
  GridLine = 5674,
  GridLines = 5683,
  GridTrack = 5693,
  GridTracks = 5703,
  HTMLAllCollection = 5714,
  HTMLAnchorElement = 5732,
  HTMLAreaElement = 5750,
  HTMLAudioElement = 5766,
  HTMLBRElement = 5783,
  HTMLBaseElement = 5797,
  HTMLBodyElement = 5813,
  HTMLButtonElement = 5829,
  HTMLCanvasElement = 5847,
  HTMLCollection = 5865,
  HTMLDListElement = 5880,
  HTMLDataElement = 5897,
  HTMLDataListElement = 5913,
  HTMLDetailsElement = 5933,
  HTMLDialogElement = 5952,
  HTMLDirectoryElement = 5970,
  HTMLDivElement = 5991,
  HTMLDocument = 6006,
  HTMLElement = 6019,
  HTMLEmbedElement = 6031,
  HTMLFieldSetElement = 6048,
  HTMLFontElement = 6068,
  HTMLFormControlsCollection = 6084,
  HTMLFormElement = 6111,
  HTMLFrameElement = 6127,
  HTMLFrameSetElement = 6144,
  HTMLHRElement = 6164,
  HTMLHeadElement = 6178,
  HTMLHeadingElement = 6194,
  HTMLHtmlElement = 6213,
  HTMLIFrameElement = 6229,
  HTMLImageElement = 6247,
  HTMLInputElement = 6264,
  HTMLLIElement = 6281,
  HTMLLabelElement = 6295,
  HTMLLegendElement = 6312,
  HTMLLinkElement = 6330,
  HTMLMapElement = 6346,
  HTMLMarqueeElement = 6361,
  HTMLMediaElement = 6380,
  HTMLMenuElement = 6397,
  HTMLMetaElement = 6413,
  HTMLMeterElement = 6429,
  HTMLModElement = 6446,
  HTMLOListElement = 6461,
  HTMLObjectElement = 6478,
  HTMLOptGroupElement = 6496,
  HTMLOptionElement = 6516,
  HTMLOptionsCollection = 6534,
  HTMLOutputElement = 6556,
  HTMLParagraphElement = 6574,
  HTMLParamElement = 6595,
  HTMLPictureElement = 6612,
  HTMLPreElement = 6631,
  HTMLProgressElement = 6646,
  HTMLQuoteElement = 6666,
  HTMLScriptElement = 6683,
  HTMLSelectElement = 6701,
  HTMLSlotElement = 6719,
  HTMLSourceElement = 6735,
  HTMLSpanElement = 6753,
  HTMLStyleElement = 6769,
  HTMLTableCaptionElement = 6786,
  HTMLTableCellElement = 6810,
  HTMLTableColElement = 6831,
  HTMLTableElement = 6851,
  HTMLTableRowElement = 6868,
  HTMLTableSectionElement = 6888,
  HTMLTemplateElement = 6912,
  HTMLTextAreaElement = 6932,
  HTMLTimeElement = 6952,
  HTMLTitleElement = 6968,
  HTMLTrackElement = 6985,
  HTMLUListElement = 7002,
  HTMLUnknownElement = 7019,
  HTMLVideoElement = 7038,
  HashChangeEvent = 7055,
  Headers = 7071,
  Headers_Iterator = 7079,
  HeapSnapshot = 7096,
  Highlight = 7109,
  HighlightRegistry = 7119,
  History = 7137,
  IDBCursor = 7145,
  IDBCursorWithValue = 7155,
  IDBDatabase = 7174,
  IDBFactory = 7186,
  IDBIndex = 7197,
  IDBKeyRange = 7206,
  IDBObjectStore = 7218,
  IDBOpenDBRequest = 7233,
  IDBRequest = 7250,
  IDBTransaction = 7261,
  IDBVersionChangeEvent = 7276,
  IIRFilterNode = 7298,
  IOUtils = 7312,
  IdentityCredential = 7320,
  IdleDeadline = 7339,
  Image = 7352,
  ImageBitmap = 7358,
  ImageBitmapRenderingContext = 7370,
  ImageCapture = 7398,
  ImageCaptureError = 7411,
  ImageCaptureErrorEvent = 7429,
  ImageData = 7452,
  ImageDecoder = 7462,
  ImageDocument = 7475,
  ImageTrack = 7489,
  ImageTrackList = 7500,
  InputEvent = 7515,
  InspectorCSSParser = 7526,
  InspectorFontFace = 7545,
  InspectorUtils = 7563,
  InstallTriggerImpl = 7578,
  IntersectionObserver = 7597,
  IntersectionObserverEntry = 7618,
  IntlUtils = 7644,
  InvokeEvent = 7654,
  JSProcessActorChild = 7666,
  JSProcessActorParent = 7686,
  JSWindowActorChild = 7707,
  JSWindowActorParent = 7726,
  KeyEvent = 7746,
  KeyboardEvent = 7755,
  KeyframeEffect = 7769,
  L10nFileSource = 7784,
  L10nOverlays = 7799,
  L10nRegistry = 7812,
  LargestContentfulPaint = 7825,
  LegacyMozTCPSocket = 7848,
  Localization = 7867,
  Location = 7880,
  Lock = 7889,
  LockManager = 7894,
  MIDIAccess = 7906,
  MIDIConnectionEvent = 7917,
  MIDIInput = 7937,
  MIDIInputMap = 7947,
  MIDIMessageEvent = 7960,
  MIDIOutput = 7977,
  MIDIOutputMap = 7988,
  MIDIPort = 8002,
  MLS = 8011,
  MLSGroupView = 8015,
  MOZ_debug = 8028,
  MatchGlob = 8038,
  MatchPattern = 8048,
  MatchPatternSet = 8061,
  MathMLElement = 8077,
  MediaCapabilities = 8091,
  MediaControlService = 8109,
  MediaController = 8129,
  MediaDeviceInfo = 8145,
  MediaDevices = 8161,
  MediaElementAudioSourceNode = 8174,
  MediaEncryptedEvent = 8202,
  MediaError = 8222,
  MediaKeyError = 8233,
  MediaKeyMessageEvent = 8247,
  MediaKeySession = 8268,
  MediaKeyStatusMap = 8284,
  MediaKeyStatusMap_Iterator = 8302,
  MediaKeySystemAccess = 8329,
  MediaKeys = 8350,
  MediaList = 8360,
  MediaMetadata = 8370,
  MediaQueryList = 8384,
  MediaQueryListEvent = 8399,
  MediaRecorder = 8419,
  MediaRecorderErrorEvent = 8433,
  MediaSession = 8457,
  MediaSource = 8470,
  MediaStream = 8482,
  MediaStreamAudioDestinationNode = 8494,
  MediaStreamAudioSourceNode = 8526,
  MediaStreamError = 8553,
  MediaStreamEvent = 8570,
  MediaStreamTrack = 8587,
  MediaStreamTrackAudioSourceNode = 8604,
  MediaStreamTrackEvent = 8636,
  MerchantValidationEvent = 8658,
  MessageBroadcaster = 8682,
  MessageChannel = 8701,
  MessageEvent = 8716,
  MessageListenerManager = 8729,
  MessagePort = 8752,
  MessageSender = 8764,
  MimeType = 8778,
  MimeTypeArray = 8787,
  MouseEvent = 8801,
  MouseScrollEvent = 8812,
  MozCanvasPrintState = 8829,
  MozDocumentMatcher = 8849,
  MozDocumentObserver = 8868,
  MozQueryInterface = 8888,
  MozSharedMap = 8906,
  MozSharedMap_Iterator = 8919,
  MozSharedMapChangeEvent = 8941,
  MozStorageAsyncStatementParams = 8965,
  MozStorageStatementParams = 8996,
  MozStorageStatementRow = 9022,
  MozWritableSharedMap = 9045,
  MutationEvent = 9066,
  MutationObserver = 9080,
  MutationRecord = 9097,
  NamedNodeMap = 9112,
  NavigateEvent = 9125,
  Navigation = 9139,
  NavigationActivation = 9150,
  NavigationCurrentEntryChangeEvent = 9171,
  NavigationDestination = 9205,
  NavigationHistoryEntry = 9227,
  NavigationPreloadManager = 9250,
  NavigationTransition = 9275,
  Navigator = 9296,
  NavigatorLogin = 9306,
  NetworkInformation = 9321,
  Node = 9340,
  NodeFilter = 9345,
  NodeIterator = 9356,
  NodeList = 9369,
  Notification = 9378,
  NotificationEvent = 9391,
  NotifyPaintEvent = 9409,
  OES_draw_buffers_indexed = 9426,
  OES_element_index_uint = 9451,
  OES_fbo_render_mipmap = 9474,
  OES_standard_derivatives = 9496,
  OES_texture_float = 9521,
  OES_texture_float_linear = 9539,
  OES_texture_half_float = 9564,
  OES_texture_half_float_linear = 9587,
  OES_vertex_array_object = 9617,
  OVR_multiview2 = 9641,
  OfflineAudioCompletionEvent = 9656,
  OfflineAudioContext = 9684,
  OffscreenCanvas = 9704,
  OffscreenCanvasRenderingContext2D = 9720,
  Option = 9754,
  OscillatorNode = 9761,
  PageTransitionEvent = 9776,
  PaintRequest = 9796,
  PaintRequestList = 9809,
  PaintWorkletGlobalScope = 9826,
  PannerNode = 9850,
  ParentProcessMessageManager = 9861,
  Path2D = 9889,
  PathUtils = 9896,
  PaymentAddress = 9906,
  PaymentMethodChangeEvent = 9921,
  PaymentRequest = 9946,
  PaymentRequestUpdateEvent = 9961,
  PaymentResponse = 9987,
  Performance = 10003,
  PerformanceEntry = 10015,
  PerformanceEntryEvent = 10032,
  PerformanceEventTiming = 10054,
  PerformanceMark = 10077,
  PerformanceMeasure = 10093,
  PerformanceNavigation = 10112,
  PerformanceNavigationTiming = 10134,
  PerformanceObserver = 10162,
  PerformanceObserverEntryList = 10182,
  PerformancePaintTiming = 10211,
  PerformanceResourceTiming = 10234,
  PerformanceServerTiming = 10260,
  PerformanceTiming = 10284,
  PeriodicWave = 10302,
  PermissionStatus = 10315,
  Permissions = 10332,
  PlacesBookmark = 10344,
  PlacesBookmarkAddition = 10359,
  PlacesBookmarkChanged = 10382,
  PlacesBookmarkGuid = 10404,
  PlacesBookmarkKeyword = 10423,
  PlacesBookmarkMoved = 10445,
  PlacesBookmarkRemoved = 10465,
  PlacesBookmarkTags = 10487,
  PlacesBookmarkTime = 10506,
  PlacesBookmarkTitle = 10525,
  PlacesBookmarkUrl = 10545,
  PlacesEvent = 10563,
  PlacesEventCounts = 10575,
  PlacesFavicon = 10593,
  PlacesHistoryCleared = 10607,
  PlacesObservers = 10628,
  PlacesPurgeCaches = 10644,
  PlacesRanking = 10662,
  PlacesVisit = 10676,
  PlacesVisitRemoved = 10688,
  PlacesVisitTitle = 10707,
  PlacesWeakCallbackWrapper = 10724,
  Plugin = 10750,
  PluginArray = 10757,
  PluginCrashedEvent = 10769,
  PointerEvent = 10788,
  PopStateEvent = 10801,
  PopupBlockedEvent = 10815,
  PopupPositionedEvent = 10833,
  PositionStateEvent = 10854,
  PrecompiledScript = 10873,
  PrivateAttribution = 10891,
  ProcessMessageManager = 10910,
  ProcessingInstruction = 10932,
  ProgressEvent = 10954,
  PromiseDebugging = 10968,
  PromiseNativeHandler = 10985,
  PromiseRejectionEvent = 11006,
  PublicKeyCredential = 11028,
  PushEvent = 11048,
  PushManager = 11058,
  PushManagerImpl = 11070,
  PushMessageData = 11086,
  PushSubscription = 11102,
  PushSubscriptionChangeEvent = 11119,
  PushSubscriptionOptions = 11147,
  RadioNodeList = 11171,
  Range = 11185,
  ReadableByteStreamController = 11191,
  ReadableStream = 11220,
  ReadableStream_AsyncIterator = 11235,
  ReadableStreamBYOBReader = 11264,
  ReadableStreamBYOBRequest = 11289,
  ReadableStreamDefaultController = 11315,
  ReadableStreamDefaultReader = 11347,
  Report = 11375,
  ReportBody = 11382,
  ReportingObserver = 11393,
  Request = 11411,
  ResizeObserver = 11419,
  ResizeObserverEntry = 11434,
  ResizeObserverSize = 11454,
  Response = 11473,
  SVGAElement = 11482,
  SVGAngle = 11494,
  SVGAnimateElement = 11503,
  SVGAnimateMotionElement = 11521,
  SVGAnimateTransformElement = 11545,
  SVGAnimatedAngle = 11572,
  SVGAnimatedBoolean = 11589,
  SVGAnimatedEnumeration = 11608,
  SVGAnimatedInteger = 11631,
  SVGAnimatedLength = 11650,
  SVGAnimatedLengthList = 11668,
  SVGAnimatedNumber = 11690,
  SVGAnimatedNumberList = 11708,
  SVGAnimatedPreserveAspectRatio = 11730,
  SVGAnimatedRect = 11761,
  SVGAnimatedString = 11777,
  SVGAnimatedTransformList = 11795,
  SVGAnimationElement = 11820,
  SVGCircleElement = 11840,
  SVGClipPathElement = 11857,
  SVGComponentTransferFunctionElement = 11876,
  SVGDefsElement = 11912,
  SVGDescElement = 11927,
  SVGDiscardElement = 11942,
  SVGElement = 11960,
  SVGEllipseElement = 11971,
  SVGFEBlendElement = 11989,
  SVGFEColorMatrixElement = 12007,
  SVGFEComponentTransferElement = 12031,
  SVGFECompositeElement = 12061,
  SVGFEConvolveMatrixElement = 12083,
  SVGFEDiffuseLightingElement = 12110,
  SVGFEDisplacementMapElement = 12138,
  SVGFEDistantLightElement = 12166,
  SVGFEDropShadowElement = 12191,
  SVGFEFloodElement = 12214,
  SVGFEFuncAElement = 12232,
  SVGFEFuncBElement = 12250,
  SVGFEFuncGElement = 12268,
  SVGFEFuncRElement = 12286,
  SVGFEGaussianBlurElement = 12304,
  SVGFEImageElement = 12329,
  SVGFEMergeElement = 12347,
  SVGFEMergeNodeElement = 12365,
  SVGFEMorphologyElement = 12387,
  SVGFEOffsetElement = 12410,
  SVGFEPointLightElement = 12429,
  SVGFESpecularLightingElement = 12452,
  SVGFESpotLightElement = 12481,
  SVGFETileElement = 12503,
  SVGFETurbulenceElement = 12520,
  SVGFilterElement = 12543,
  SVGForeignObjectElement = 12560,
  SVGGElement = 12584,
  SVGGeometryElement = 12596,
  SVGGradientElement = 12615,
  SVGGraphicsElement = 12634,
  SVGImageElement = 12653,
  SVGLength = 12669,
  SVGLengthList = 12679,
  SVGLineElement = 12693,
  SVGLinearGradientElement = 12708,
  SVGMPathElement = 12733,
  SVGMarkerElement = 12749,
  SVGMaskElement = 12766,
  SVGMatrix = 12781,
  SVGMetadataElement = 12791,
  SVGNumber = 12810,
  SVGNumberList = 12820,
  SVGPathElement = 12834,
  SVGPathSegment = 12849,
  SVGPatternElement = 12864,
  SVGPoint = 12882,
  SVGPointList = 12891,
  SVGPolygonElement = 12904,
  SVGPolylineElement = 12922,
  SVGPreserveAspectRatio = 12941,
  SVGRadialGradientElement = 12964,
  SVGRect = 12989,
  SVGRectElement = 12997,
  SVGSVGElement = 13012,
  SVGScriptElement = 13026,
  SVGSetElement = 13043,
  SVGStopElement = 13057,
  SVGStringList = 13072,
  SVGStyleElement = 13086,
  SVGSwitchElement = 13102,
  SVGSymbolElement = 13119,
  SVGTSpanElement = 13136,
  SVGTextContentElement = 13152,
  SVGTextElement = 13174,
  SVGTextPathElement = 13189,
  SVGTextPositioningElement = 13208,
  SVGTitleElement = 13234,
  SVGTransform = 13250,
  SVGTransformList = 13263,
  SVGUnitTypes = 13280,
  SVGUseElement = 13293,
  SVGViewElement = 13307,
  Sanitizer = 13322,
  Scheduler = 13332,
  Screen = 13342,
  ScreenLuminance = 13349,
  ScreenOrientation = 13365,
  ScriptProcessorNode = 13383,
  ScrollAreaEvent = 13403,
  ScrollViewChangeEvent = 13419,
  SecurityPolicyViolationEvent = 13441,
  Selection = 13470,
  ServiceWorker = 13480,
  ServiceWorkerContainer = 13494,
  ServiceWorkerGlobalScope = 13517,
  ServiceWorkerRegistration = 13542,
  SessionStoreFormData = 13568,
  SessionStoreScrollData = 13589,
  SessionStoreUtils = 13612,
  ShadowRealmGlobalScope = 13630,
  ShadowRoot = 13653,
  SharedWorker = 13664,
  SharedWorkerGlobalScope = 13677,
  SimpleGestureEvent = 13701,
  SourceBuffer = 13720,
  SourceBufferList = 13733,
  SpeechGrammar = 13750,
  SpeechGrammarList = 13764,
  SpeechRecognition = 13782,
  SpeechRecognitionAlternative = 13800,
  SpeechRecognitionError = 13829,
  SpeechRecognitionEvent = 13852,
  SpeechRecognitionResult = 13875,
  SpeechRecognitionResultList = 13899,
  SpeechSynthesis = 13927,
  SpeechSynthesisErrorEvent = 13943,
  SpeechSynthesisEvent = 13969,
  SpeechSynthesisUtterance = 13990,
  SpeechSynthesisVoice = 14015,
  StaticRange = 14036,
  StereoPannerNode = 14048,
  Storage = 14065,
  StorageEvent = 14073,
  StorageManager = 14086,
  StreamFilter = 14101,
  StreamFilterDataEvent = 14114,
  StructuredCloneHolder = 14136,
  StructuredCloneTester = 14158,
  StyleSheet = 14180,
  StyleSheetApplicableStateChangeEvent = 14191,
  StyleSheetList = 14228,
  StyleSheetRemovedEvent = 14243,
  SubmitEvent = 14266,
  SubtleCrypto = 14278,
  SyncMessageSender = 14291,
  SyncReadFile = 14309,
  TCPServerSocket = 14322,
  TCPServerSocketEvent = 14338,
  TCPSocket = 14359,
  TCPSocketErrorEvent = 14369,
  TCPSocketEvent = 14389,
  TaskController = 14404,
  TaskPriorityChangeEvent = 14419,
  TaskSignal = 14443,
  TestUtils = 14454,
  TestingDeprecatedInterface = 14464,
  Text = 14491,
  TextClause = 14496,
  TextDecoder = 14507,
  TextDecoderStream = 14519,
  TextEncoder = 14537,
  TextEncoderStream = 14549,
  TextEvent = 14567,
  TextMetrics = 14577,
  TextTrack = 14589,
  TextTrackCue = 14599,
  TextTrackCueList = 14612,
  TextTrackList = 14629,
  TimeEvent = 14643,
  TimeRanges = 14653,
  ToggleEvent = 14664,
  Touch = 14676,
  TouchEvent = 14682,
  TouchList = 14693,
  TrackEvent = 14703,
  TransformStream = 14714,
  TransformStreamDefaultController = 14730,
  TransitionEvent = 14763,
  TreeColumn = 14779,
  TreeColumns = 14790,
  TreeContentView = 14802,
  TreeWalker = 14818,
  TrustedHTML = 14829,
  TrustedScript = 14841,
  TrustedScriptURL = 14855,
  TrustedTypePolicy = 14872,
  TrustedTypePolicyFactory = 14890,
  UDPMessageEvent = 14915,
  UDPSocket = 14931,
  UIEvent = 14941,
  URL = 14949,
  URLSearchParams = 14953,
  URLSearchParams_Iterator = 14969,
  UniFFIPointer = 14994,
  UniFFIScaffolding = 15008,
  UserActivation = 15026,
  UserInteraction = 15041,
  UserProximityEvent = 15057,
  VRDisplay = 15076,
  VRDisplayCapabilities = 15086,
  VRDisplayEvent = 15108,
  VREyeParameters = 15123,
  VRFieldOfView = 15139,
  VRFrameData = 15153,
  VRMockController = 15165,
  VRMockDisplay = 15182,
  VRPose = 15196,
  VRServiceTest = 15203,
  VRStageParameters = 15217,
  VTTCue = 15235,
  VTTRegion = 15242,
  ValidityState = 15252,
  VideoColorSpace = 15266,
  VideoDecoder = 15282,
  VideoEncoder = 15295,
  VideoFrame = 15308,
  VideoPlaybackQuality = 15319,
  VideoTrack = 15340,
  VideoTrackList = 15351,
  ViewTransition = 15366,
  VisualViewport = 15381,
  WEBGL_color_buffer_float = 15396,
  WEBGL_compressed_texture_astc = 15421,
  WEBGL_compressed_texture_etc = 15451,
  WEBGL_compressed_texture_etc1 = 15480,
  WEBGL_compressed_texture_pvrtc = 15510,
  WEBGL_compressed_texture_s3tc = 15541,
  WEBGL_compressed_texture_s3tc_srgb = 15571,
  WEBGL_debug_renderer_info = 15606,
  WEBGL_debug_shaders = 15632,
  WEBGL_depth_texture = 15652,
  WEBGL_draw_buffers = 15672,
  WEBGL_explicit_present = 15691,
  WEBGL_lose_context = 15714,
  WEBGL_provoking_vertex = 15733,
  WGSLLanguageFeatures = 15756,
  WakeLock = 15777,
  WakeLockSentinel = 15786,
  WaveShaperNode = 15803,
  WebExtensionContentScript = 15818,
  WebExtensionPolicy = 15844,
  WebGL2RenderingContext = 15863,
  WebGLActiveInfo = 15886,
  WebGLBuffer = 15902,
  WebGLContextEvent = 15914,
  WebGLFramebuffer = 15932,
  WebGLProgram = 15949,
  WebGLQuery = 15962,
  WebGLRenderbuffer = 15973,
  WebGLRenderingContext = 15991,
  WebGLSampler = 16013,
  WebGLShader = 16026,
  WebGLShaderPrecisionFormat = 16038,
  WebGLSync = 16065,
  WebGLTexture = 16075,
  WebGLTransformFeedback = 16088,
  WebGLUniformLocation = 16111,
  WebGLVertexArrayObject = 16132,
  WebKitCSSMatrix = 16155,
  WebSocket = 16171,
  WebTransport = 16181,
  WebTransportBidirectionalStream = 16194,
  WebTransportDatagramDuplexStream = 16226,
  WebTransportError = 16259,
  WebTransportReceiveStream = 16277,
  WebTransportSendStream = 16303,
  WheelEvent = 16326,
  Window = 16337,
  WindowClient = 16344,
  WindowContext = 16357,
  WindowGlobalChild = 16371,
  WindowGlobalParent = 16389,
  WindowRoot = 16408,
  Worker = 16419,
  WorkerDebuggerGlobalScope = 16426,
  WorkerGlobalScope = 16452,
  WorkerLocation = 16470,
  WorkerNavigator = 16485,
  WorkerTestUtils = 16501,
  Worklet = 16517,
  WorkletGlobalScope = 16525,
  WritableStream = 16544,
  WritableStreamDefaultController = 16559,
  WritableStreamDefaultWriter = 16591,
  XMLDocument = 16619,
  XMLHttpRequest = 16631,
  XMLHttpRequestEventTarget = 16646,
  XMLHttpRequestUpload = 16672,
  XMLSerializer = 16693,
  XPathEvaluator = 16707,
  XPathExpression = 16722,
  XPathResult = 16738,
  XRBoundedReferenceSpace = 16750,
  XRFrame = 16774,
  XRInputSource = 16782,
  XRInputSourceArray = 16796,
  XRInputSourceEvent = 16815,
  XRInputSourcesChangeEvent = 16834,
  XRPose = 16860,
  XRReferenceSpace = 16867,
  XRReferenceSpaceEvent = 16884,
  XRRenderState = 16906,
  XRRigidTransform = 16920,
  XRSession = 16937,
  XRSessionEvent = 16947,
  XRSpace = 16962,
  XRSystem = 16970,
  XRView = 16979,
  XRViewerPose = 16986,
  XRViewport = 16999,
  XRWebGLLayer = 17010,
  XSLTProcessor = 17023,
  XULCommandEvent = 17037,
  XULElement = 17053,
  XULFrameElement = 17064,
  XULMenuElement = 17080,
  XULPopupElement = 17095,
  XULResizerElement = 17111,
  XULTextElement = 17129,
  XULTreeElement = 17144,
  console = 17159,
  webkitSpeechGrammar = 17167,
  webkitSpeechGrammarList = 17187,
  webkitSpeechRecognition = 17211,
  webkitURL = 17235,
};

namespace binding_detail {
extern const char sBindingNames[];
}  // namespace binding_detail

MOZ_ALWAYS_INLINE const char* BindingName(BindingNamesOffset aOffset) {
  return binding_detail::sBindingNames + static_cast<size_t>(aOffset);
}

} // namespace mozilla::dom


#endif // DOM_BINDINGNAMES_H_
