#include "mozilla/EnumTypeTraits.h"
#include "mozilla/dom/BindingNames.h"

namespace mozilla::dom {

namespace binding_detail {

const char sBindingNames[] = {
  /*     0 */ "ANGLE_instanced_arrays" "\0"
  /*    23 */ "APZHitResultFlags" "\0"
  /*    41 */ "AbortController" "\0"
  /*    57 */ "AbortSignal" "\0"
  /*    69 */ "AbstractRange" "\0"
  /*    83 */ "AccessibleNode" "\0"
  /*    98 */ "Addon" "\0"
  /*   104 */ "AddonEvent" "\0"
  /*   115 */ "AddonInstall" "\0"
  /*   128 */ "AddonManager" "\0"
  /*   141 */ "AddonManagerPermissions" "\0"
  /*   165 */ "AnalyserNode" "\0"
  /*   178 */ "Animation" "\0"
  /*   188 */ "AnimationEffect" "\0"
  /*   204 */ "AnimationEvent" "\0"
  /*   219 */ "AnimationPlaybackEvent" "\0"
  /*   242 */ "AnimationTimeline" "\0"
  /*   260 */ "AnonymousContent" "\0"
  /*   277 */ "Attr" "\0"
  /*   282 */ "Audio" "\0"
  /*   288 */ "AudioBuffer" "\0"
  /*   300 */ "AudioBufferSourceNode" "\0"
  /*   322 */ "AudioContext" "\0"
  /*   335 */ "AudioData" "\0"
  /*   345 */ "AudioDecoder" "\0"
  /*   358 */ "AudioDestinationNode" "\0"
  /*   379 */ "AudioEncoder" "\0"
  /*   392 */ "AudioListener" "\0"
  /*   406 */ "AudioNode" "\0"
  /*   416 */ "AudioParam" "\0"
  /*   427 */ "AudioParamMap" "\0"
  /*   441 */ "AudioProcessingEvent" "\0"
  /*   462 */ "AudioScheduledSourceNode" "\0"
  /*   487 */ "AudioTrack" "\0"
  /*   498 */ "AudioTrackList" "\0"
  /*   513 */ "AudioWorklet" "\0"
  /*   526 */ "AudioWorkletGlobalScope" "\0"
  /*   550 */ "AudioWorkletNode" "\0"
  /*   567 */ "AudioWorkletProcessor" "\0"
  /*   589 */ "AuthenticatorAssertionResponse" "\0"
  /*   620 */ "AuthenticatorAttestationResponse" "\0"
  /*   653 */ "AuthenticatorResponse" "\0"
  /*   675 */ "BarProp" "\0"
  /*   683 */ "BaseAudioContext" "\0"
  /*   700 */ "BatteryManager" "\0"
  /*   715 */ "BeforeUnloadEvent" "\0"
  /*   733 */ "BiquadFilterNode" "\0"
  /*   750 */ "Blob" "\0"
  /*   755 */ "BlobEvent" "\0"
  /*   765 */ "BroadcastChannel" "\0"
  /*   782 */ "BrowsingContext" "\0"
  /*   798 */ "BrowsingContextGroup" "\0"
  /*   819 */ "ByteLengthQueuingStrategy" "\0"
  /*   845 */ "CDATASection" "\0"
  /*   858 */ "CSPViolationReportBody" "\0"
  /*   881 */ "CSS" "\0"
  /*   885 */ "CSS2Properties" "\0"
  /*   900 */ "CSSAnimation" "\0"
  /*   913 */ "CSSConditionRule" "\0"
  /*   930 */ "CSSContainerRule" "\0"
  /*   947 */ "CSSCounterStyleRule" "\0"
  /*   967 */ "CSSCustomPropertyRegisteredEvent" "\0"
  /*  1000 */ "CSSFontFaceRule" "\0"
  /*  1016 */ "CSSFontFeatureValuesRule" "\0"
  /*  1041 */ "CSSFontPaletteValuesRule" "\0"
  /*  1066 */ "CSSGroupingRule" "\0"
  /*  1082 */ "CSSImportRule" "\0"
  /*  1096 */ "CSSKeyframeRule" "\0"
  /*  1112 */ "CSSKeyframesRule" "\0"
  /*  1129 */ "CSSLayerBlockRule" "\0"
  /*  1147 */ "CSSLayerStatementRule" "\0"
  /*  1169 */ "CSSMarginRule" "\0"
  /*  1183 */ "CSSMediaRule" "\0"
  /*  1196 */ "CSSMozDocumentRule" "\0"
  /*  1215 */ "CSSNamespaceRule" "\0"
  /*  1232 */ "CSSNestedDeclarations" "\0"
  /*  1254 */ "CSSPageDescriptors" "\0"
  /*  1273 */ "CSSPageRule" "\0"
  /*  1285 */ "CSSPositionTryDescriptors" "\0"
  /*  1311 */ "CSSPositionTryRule" "\0"
  /*  1330 */ "CSSPropertyRule" "\0"
  /*  1346 */ "CSSPseudoElement" "\0"
  /*  1363 */ "CSSRule" "\0"
  /*  1371 */ "CSSRuleList" "\0"
  /*  1383 */ "CSSScopeRule" "\0"
  /*  1396 */ "CSSStartingStyleRule" "\0"
  /*  1417 */ "CSSStyleDeclaration" "\0"
  /*  1437 */ "CSSStyleRule" "\0"
  /*  1450 */ "CSSStyleSheet" "\0"
  /*  1464 */ "CSSSupportsRule" "\0"
  /*  1480 */ "CSSTransition" "\0"
  /*  1494 */ "Cache" "\0"
  /*  1500 */ "CacheStorage" "\0"
  /*  1513 */ "CallbackDebuggerNotification" "\0"
  /*  1542 */ "CanonicalBrowsingContext" "\0"
  /*  1567 */ "CanvasCaptureMediaStream" "\0"
  /*  1592 */ "CanvasGradient" "\0"
  /*  1607 */ "CanvasPattern" "\0"
  /*  1621 */ "CanvasRenderingContext2D" "\0"
  /*  1646 */ "CaretPosition" "\0"
  /*  1660 */ "CaretStateChangedEvent" "\0"
  /*  1683 */ "ChannelMergerNode" "\0"
  /*  1701 */ "ChannelSplitterNode" "\0"
  /*  1721 */ "ChannelWrapper" "\0"
  /*  1736 */ "CharacterData" "\0"
  /*  1750 */ "CheckerboardReportService" "\0"
  /*  1776 */ "ChildProcessMessageManager" "\0"
  /*  1803 */ "ChildSHistory" "\0"
  /*  1817 */ "ChromeMessageBroadcaster" "\0"
  /*  1842 */ "ChromeMessageSender" "\0"
  /*  1862 */ "ChromeNodeList" "\0"
  /*  1877 */ "ChromeUtils" "\0"
  /*  1889 */ "ChromeWorker" "\0"
  /*  1902 */ "Client" "\0"
  /*  1909 */ "Clients" "\0"
  /*  1917 */ "Clipboard" "\0"
  /*  1927 */ "ClipboardEvent" "\0"
  /*  1942 */ "ClipboardItem" "\0"
  /*  1956 */ "ClonedErrorHolder" "\0"
  /*  1974 */ "CloseEvent" "\0"
  /*  1985 */ "CloseWatcher" "\0"
  /*  1998 */ "CommandEvent" "\0"
  /*  2011 */ "Comment" "\0"
  /*  2019 */ "CompositionEvent" "\0"
  /*  2036 */ "CompressionStream" "\0"
  /*  2054 */ "ConsoleInstance" "\0"
  /*  2070 */ "ConstantSourceNode" "\0"
  /*  2089 */ "ContentFrameMessageManager" "\0"
  /*  2116 */ "ContentProcessMessageManager" "\0"
  /*  2145 */ "ContentVisibilityAutoStateChangeEvent" "\0"
  /*  2183 */ "ConvolverNode" "\0"
  /*  2197 */ "CookieChangeEvent" "\0"
  /*  2215 */ "CookieStore" "\0"
  /*  2227 */ "CookieStoreManager" "\0"
  /*  2246 */ "CountQueuingStrategy" "\0"
  /*  2267 */ "CreateOfferRequest" "\0"
  /*  2286 */ "Credential" "\0"
  /*  2297 */ "CredentialsContainer" "\0"
  /*  2318 */ "Crypto" "\0"
  /*  2325 */ "CryptoKey" "\0"
  /*  2335 */ "CustomElementRegistry" "\0"
  /*  2357 */ "CustomEvent" "\0"
  /*  2369 */ "CustomStateSet" "\0"
  /*  2384 */ "DOMException" "\0"
  /*  2397 */ "DOMImplementation" "\0"
  /*  2415 */ "DOMLocalization" "\0"
  /*  2431 */ "DOMMatrix" "\0"
  /*  2441 */ "DOMMatrixReadOnly" "\0"
  /*  2459 */ "DOMParser" "\0"
  /*  2469 */ "DOMPoint" "\0"
  /*  2478 */ "DOMPointReadOnly" "\0"
  /*  2495 */ "DOMQuad" "\0"
  /*  2503 */ "DOMRect" "\0"
  /*  2511 */ "DOMRectList" "\0"
  /*  2523 */ "DOMRectReadOnly" "\0"
  /*  2539 */ "DOMStringList" "\0"
  /*  2553 */ "DOMStringMap" "\0"
  /*  2566 */ "DOMTokenList" "\0"
  /*  2579 */ "DataTransfer" "\0"
  /*  2592 */ "DataTransferItem" "\0"
  /*  2609 */ "DataTransferItemList" "\0"
  /*  2630 */ "DebuggerNotification" "\0"
  /*  2651 */ "DebuggerNotificationObserver" "\0"
  /*  2680 */ "DecompressionStream" "\0"
  /*  2700 */ "DedicatedWorkerGlobalScope" "\0"
  /*  2727 */ "DelayNode" "\0"
  /*  2737 */ "DeprecationReportBody" "\0"
  /*  2759 */ "DeviceAcceleration" "\0"
  /*  2778 */ "DeviceLightEvent" "\0"
  /*  2795 */ "DeviceMotionEvent" "\0"
  /*  2813 */ "DeviceOrientationEvent" "\0"
  /*  2836 */ "DeviceRotationRate" "\0"
  /*  2855 */ "Directory" "\0"
  /*  2865 */ "Document" "\0"
  /*  2874 */ "DocumentFragment" "\0"
  /*  2891 */ "DocumentL10n" "\0"
  /*  2904 */ "DocumentTimeline" "\0"
  /*  2921 */ "DocumentType" "\0"
  /*  2934 */ "DominatorTree" "\0"
  /*  2948 */ "DragEvent" "\0"
  /*  2958 */ "DynamicsCompressorNode" "\0"
  /*  2981 */ "EXT_blend_minmax" "\0"
  /*  2998 */ "EXT_color_buffer_float" "\0"
  /*  3021 */ "EXT_color_buffer_half_float" "\0"
  /*  3049 */ "EXT_depth_clamp" "\0"
  /*  3065 */ "EXT_disjoint_timer_query" "\0"
  /*  3090 */ "EXT_float_blend" "\0"
  /*  3106 */ "EXT_frag_depth" "\0"
  /*  3121 */ "EXT_sRGB" "\0"
  /*  3130 */ "EXT_shader_texture_lod" "\0"
  /*  3153 */ "EXT_texture_compression_bptc" "\0"
  /*  3182 */ "EXT_texture_compression_rgtc" "\0"
  /*  3211 */ "EXT_texture_filter_anisotropic" "\0"
  /*  3242 */ "EXT_texture_norm16" "\0"
  /*  3261 */ "Element" "\0"
  /*  3269 */ "ElementInternals" "\0"
  /*  3286 */ "EncodedAudioChunk" "\0"
  /*  3304 */ "EncodedVideoChunk" "\0"
  /*  3322 */ "ErrorEvent" "\0"
  /*  3333 */ "Event" "\0"
  /*  3339 */ "EventCallbackDebuggerNotification" "\0"
  /*  3373 */ "EventCounts" "\0"
  /*  3385 */ "EventSource" "\0"
  /*  3397 */ "EventTarget" "\0"
  /*  3409 */ "Exception" "\0"
  /*  3419 */ "ExtendableCookieChangeEvent" "\0"
  /*  3447 */ "ExtendableEvent" "\0"
  /*  3463 */ "ExtendableMessageEvent" "\0"
  /*  3486 */ "ExtensionAlarms" "\0"
  /*  3502 */ "ExtensionBrowser" "\0"
  /*  3519 */ "ExtensionBrowserSettings" "\0"
  /*  3544 */ "ExtensionBrowserSettingsColorManagement" "\0"
  /*  3584 */ "ExtensionDns" "\0"
  /*  3597 */ "ExtensionEventManager" "\0"
  /*  3619 */ "ExtensionMockAPI" "\0"
  /*  3636 */ "ExtensionPort" "\0"
  /*  3650 */ "ExtensionProxy" "\0"
  /*  3665 */ "ExtensionRuntime" "\0"
  /*  3682 */ "ExtensionScripting" "\0"
  /*  3701 */ "ExtensionSetting" "\0"
  /*  3718 */ "ExtensionTest" "\0"
  /*  3732 */ "External" "\0"
  /*  3741 */ "FeaturePolicy" "\0"
  /*  3755 */ "FeaturePolicyViolationReportBody" "\0"
  /*  3788 */ "FetchEvent" "\0"
  /*  3799 */ "FetchObserver" "\0"
  /*  3813 */ "File" "\0"
  /*  3818 */ "FileList" "\0"
  /*  3827 */ "FileReader" "\0"
  /*  3838 */ "FileReaderSync" "\0"
  /*  3853 */ "FileSystem" "\0"
  /*  3864 */ "FileSystemDirectoryEntry" "\0"
  /*  3889 */ "FileSystemDirectoryHandle" "\0"
  /*  3915 */ "FileSystemDirectoryHandle AsyncIterator" "\0"
  /*  3955 */ "FileSystemDirectoryIterator" "\0"
  /*  3983 */ "FileSystemDirectoryReader" "\0"
  /*  4009 */ "FileSystemEntry" "\0"
  /*  4025 */ "FileSystemFileEntry" "\0"
  /*  4045 */ "FileSystemFileHandle" "\0"
  /*  4066 */ "FileSystemHandle" "\0"
  /*  4083 */ "FileSystemSyncAccessHandle" "\0"
  /*  4110 */ "FileSystemWritableFileStream" "\0"
  /*  4139 */ "Flex" "\0"
  /*  4144 */ "FlexItemValues" "\0"
  /*  4159 */ "FlexLineValues" "\0"
  /*  4174 */ "FluentBundle" "\0"
  /*  4187 */ "FluentBundleAsyncIterator" "\0"
  /*  4213 */ "FluentBundleIterator" "\0"
  /*  4234 */ "FluentPattern" "\0"
  /*  4248 */ "FluentResource" "\0"
  /*  4263 */ "FocusEvent" "\0"
  /*  4274 */ "FontFace" "\0"
  /*  4283 */ "FontFaceSet" "\0"
  /*  4295 */ "FontFaceSetIterator" "\0"
  /*  4315 */ "FontFaceSetLoadEvent" "\0"
  /*  4336 */ "FormData" "\0"
  /*  4345 */ "FormData Iterator" "\0"
  /*  4363 */ "FormDataEvent" "\0"
  /*  4377 */ "FragmentDirective" "\0"
  /*  4395 */ "FrameCrashedEvent" "\0"
  /*  4413 */ "FrameLoader" "\0"
  /*  4425 */ "GPU" "\0"
  /*  4429 */ "GPUAdapter" "\0"
  /*  4440 */ "GPUAdapterInfo" "\0"
  /*  4455 */ "GPUBindGroup" "\0"
  /*  4468 */ "GPUBindGroupLayout" "\0"
  /*  4487 */ "GPUBuffer" "\0"
  /*  4497 */ "GPUBufferUsage" "\0"
  /*  4512 */ "GPUCanvasContext" "\0"
  /*  4529 */ "GPUColorWrite" "\0"
  /*  4543 */ "GPUCommandBuffer" "\0"
  /*  4560 */ "GPUCommandEncoder" "\0"
  /*  4578 */ "GPUCompilationInfo" "\0"
  /*  4597 */ "GPUCompilationMessage" "\0"
  /*  4619 */ "GPUComputePassEncoder" "\0"
  /*  4641 */ "GPUComputePipeline" "\0"
  /*  4660 */ "GPUDevice" "\0"
  /*  4670 */ "GPUDeviceLostInfo" "\0"
  /*  4688 */ "GPUError" "\0"
  /*  4697 */ "GPUExternalTexture" "\0"
  /*  4716 */ "GPUInternalError" "\0"
  /*  4733 */ "GPUMapMode" "\0"
  /*  4744 */ "GPUOutOfMemoryError" "\0"
  /*  4764 */ "GPUPipelineLayout" "\0"
  /*  4782 */ "GPUQuerySet" "\0"
  /*  4794 */ "GPUQueue" "\0"
  /*  4803 */ "GPURenderBundle" "\0"
  /*  4819 */ "GPURenderBundleEncoder" "\0"
  /*  4842 */ "GPURenderPassEncoder" "\0"
  /*  4863 */ "GPURenderPipeline" "\0"
  /*  4881 */ "GPUSampler" "\0"
  /*  4892 */ "GPUShaderModule" "\0"
  /*  4908 */ "GPUShaderStage" "\0"
  /*  4923 */ "GPUSupportedFeatures" "\0"
  /*  4944 */ "GPUSupportedLimits" "\0"
  /*  4963 */ "GPUTexture" "\0"
  /*  4974 */ "GPUTextureUsage" "\0"
  /*  4990 */ "GPUTextureView" "\0"
  /*  5005 */ "GPUUncapturedErrorEvent" "\0"
  /*  5029 */ "GPUValidationError" "\0"
  /*  5048 */ "GainNode" "\0"
  /*  5057 */ "Gamepad" "\0"
  /*  5065 */ "GamepadAxisMoveEvent" "\0"
  /*  5086 */ "GamepadButton" "\0"
  /*  5100 */ "GamepadButtonEvent" "\0"
  /*  5119 */ "GamepadEvent" "\0"
  /*  5132 */ "GamepadHapticActuator" "\0"
  /*  5154 */ "GamepadLightIndicator" "\0"
  /*  5176 */ "GamepadPose" "\0"
  /*  5188 */ "GamepadServiceTest" "\0"
  /*  5207 */ "GamepadTouch" "\0"
  /*  5220 */ "Geolocation" "\0"
  /*  5232 */ "GeolocationCoordinates" "\0"
  /*  5255 */ "GeolocationPosition" "\0"
  /*  5275 */ "GeolocationPositionError" "\0"
  /*  5300 */ "GetUserMediaRequest" "\0"
  /*  5320 */ "GleanBoolean" "\0"
  /*  5333 */ "GleanCategory" "\0"
  /*  5347 */ "GleanCounter" "\0"
  /*  5360 */ "GleanCustomDistribution" "\0"
  /*  5384 */ "GleanDatetime" "\0"
  /*  5398 */ "GleanDenominator" "\0"
  /*  5415 */ "GleanEvent" "\0"
  /*  5426 */ "GleanImpl" "\0"
  /*  5436 */ "GleanLabeled" "\0"
  /*  5449 */ "GleanMemoryDistribution" "\0"
  /*  5473 */ "GleanMetric" "\0"
  /*  5485 */ "GleanNumerator" "\0"
  /*  5500 */ "GleanObject" "\0"
  /*  5512 */ "GleanPingsImpl" "\0"
  /*  5527 */ "GleanQuantity" "\0"
  /*  5541 */ "GleanRate" "\0"
  /*  5551 */ "GleanString" "\0"
  /*  5563 */ "GleanStringList" "\0"
  /*  5579 */ "GleanText" "\0"
  /*  5589 */ "GleanTimespan" "\0"
  /*  5603 */ "GleanTimingDistribution" "\0"
  /*  5627 */ "GleanUrl" "\0"
  /*  5636 */ "GleanUuid" "\0"
  /*  5646 */ "Grid" "\0"
  /*  5651 */ "GridArea" "\0"
  /*  5660 */ "GridDimension" "\0"
  /*  5674 */ "GridLine" "\0"
  /*  5683 */ "GridLines" "\0"
  /*  5693 */ "GridTrack" "\0"
  /*  5703 */ "GridTracks" "\0"
  /*  5714 */ "HTMLAllCollection" "\0"
  /*  5732 */ "HTMLAnchorElement" "\0"
  /*  5750 */ "HTMLAreaElement" "\0"
  /*  5766 */ "HTMLAudioElement" "\0"
  /*  5783 */ "HTMLBRElement" "\0"
  /*  5797 */ "HTMLBaseElement" "\0"
  /*  5813 */ "HTMLBodyElement" "\0"
  /*  5829 */ "HTMLButtonElement" "\0"
  /*  5847 */ "HTMLCanvasElement" "\0"
  /*  5865 */ "HTMLCollection" "\0"
  /*  5880 */ "HTMLDListElement" "\0"
  /*  5897 */ "HTMLDataElement" "\0"
  /*  5913 */ "HTMLDataListElement" "\0"
  /*  5933 */ "HTMLDetailsElement" "\0"
  /*  5952 */ "HTMLDialogElement" "\0"
  /*  5970 */ "HTMLDirectoryElement" "\0"
  /*  5991 */ "HTMLDivElement" "\0"
  /*  6006 */ "HTMLDocument" "\0"
  /*  6019 */ "HTMLElement" "\0"
  /*  6031 */ "HTMLEmbedElement" "\0"
  /*  6048 */ "HTMLFieldSetElement" "\0"
  /*  6068 */ "HTMLFontElement" "\0"
  /*  6084 */ "HTMLFormControlsCollection" "\0"
  /*  6111 */ "HTMLFormElement" "\0"
  /*  6127 */ "HTMLFrameElement" "\0"
  /*  6144 */ "HTMLFrameSetElement" "\0"
  /*  6164 */ "HTMLHRElement" "\0"
  /*  6178 */ "HTMLHeadElement" "\0"
  /*  6194 */ "HTMLHeadingElement" "\0"
  /*  6213 */ "HTMLHtmlElement" "\0"
  /*  6229 */ "HTMLIFrameElement" "\0"
  /*  6247 */ "HTMLImageElement" "\0"
  /*  6264 */ "HTMLInputElement" "\0"
  /*  6281 */ "HTMLLIElement" "\0"
  /*  6295 */ "HTMLLabelElement" "\0"
  /*  6312 */ "HTMLLegendElement" "\0"
  /*  6330 */ "HTMLLinkElement" "\0"
  /*  6346 */ "HTMLMapElement" "\0"
  /*  6361 */ "HTMLMarqueeElement" "\0"
  /*  6380 */ "HTMLMediaElement" "\0"
  /*  6397 */ "HTMLMenuElement" "\0"
  /*  6413 */ "HTMLMetaElement" "\0"
  /*  6429 */ "HTMLMeterElement" "\0"
  /*  6446 */ "HTMLModElement" "\0"
  /*  6461 */ "HTMLOListElement" "\0"
  /*  6478 */ "HTMLObjectElement" "\0"
  /*  6496 */ "HTMLOptGroupElement" "\0"
  /*  6516 */ "HTMLOptionElement" "\0"
  /*  6534 */ "HTMLOptionsCollection" "\0"
  /*  6556 */ "HTMLOutputElement" "\0"
  /*  6574 */ "HTMLParagraphElement" "\0"
  /*  6595 */ "HTMLParamElement" "\0"
  /*  6612 */ "HTMLPictureElement" "\0"
  /*  6631 */ "HTMLPreElement" "\0"
  /*  6646 */ "HTMLProgressElement" "\0"
  /*  6666 */ "HTMLQuoteElement" "\0"
  /*  6683 */ "HTMLScriptElement" "\0"
  /*  6701 */ "HTMLSelectElement" "\0"
  /*  6719 */ "HTMLSlotElement" "\0"
  /*  6735 */ "HTMLSourceElement" "\0"
  /*  6753 */ "HTMLSpanElement" "\0"
  /*  6769 */ "HTMLStyleElement" "\0"
  /*  6786 */ "HTMLTableCaptionElement" "\0"
  /*  6810 */ "HTMLTableCellElement" "\0"
  /*  6831 */ "HTMLTableColElement" "\0"
  /*  6851 */ "HTMLTableElement" "\0"
  /*  6868 */ "HTMLTableRowElement" "\0"
  /*  6888 */ "HTMLTableSectionElement" "\0"
  /*  6912 */ "HTMLTemplateElement" "\0"
  /*  6932 */ "HTMLTextAreaElement" "\0"
  /*  6952 */ "HTMLTimeElement" "\0"
  /*  6968 */ "HTMLTitleElement" "\0"
  /*  6985 */ "HTMLTrackElement" "\0"
  /*  7002 */ "HTMLUListElement" "\0"
  /*  7019 */ "HTMLUnknownElement" "\0"
  /*  7038 */ "HTMLVideoElement" "\0"
  /*  7055 */ "HashChangeEvent" "\0"
  /*  7071 */ "Headers" "\0"
  /*  7079 */ "Headers Iterator" "\0"
  /*  7096 */ "HeapSnapshot" "\0"
  /*  7109 */ "Highlight" "\0"
  /*  7119 */ "HighlightRegistry" "\0"
  /*  7137 */ "History" "\0"
  /*  7145 */ "IDBCursor" "\0"
  /*  7155 */ "IDBCursorWithValue" "\0"
  /*  7174 */ "IDBDatabase" "\0"
  /*  7186 */ "IDBFactory" "\0"
  /*  7197 */ "IDBIndex" "\0"
  /*  7206 */ "IDBKeyRange" "\0"
  /*  7218 */ "IDBObjectStore" "\0"
  /*  7233 */ "IDBOpenDBRequest" "\0"
  /*  7250 */ "IDBRequest" "\0"
  /*  7261 */ "IDBTransaction" "\0"
  /*  7276 */ "IDBVersionChangeEvent" "\0"
  /*  7298 */ "IIRFilterNode" "\0"
  /*  7312 */ "IOUtils" "\0"
  /*  7320 */ "IdentityCredential" "\0"
  /*  7339 */ "IdleDeadline" "\0"
  /*  7352 */ "Image" "\0"
  /*  7358 */ "ImageBitmap" "\0"
  /*  7370 */ "ImageBitmapRenderingContext" "\0"
  /*  7398 */ "ImageCapture" "\0"
  /*  7411 */ "ImageCaptureError" "\0"
  /*  7429 */ "ImageCaptureErrorEvent" "\0"
  /*  7452 */ "ImageData" "\0"
  /*  7462 */ "ImageDecoder" "\0"
  /*  7475 */ "ImageDocument" "\0"
  /*  7489 */ "ImageTrack" "\0"
  /*  7500 */ "ImageTrackList" "\0"
  /*  7515 */ "InputEvent" "\0"
  /*  7526 */ "InspectorCSSParser" "\0"
  /*  7545 */ "InspectorFontFace" "\0"
  /*  7563 */ "InspectorUtils" "\0"
  /*  7578 */ "InstallTriggerImpl" "\0"
  /*  7597 */ "IntersectionObserver" "\0"
  /*  7618 */ "IntersectionObserverEntry" "\0"
  /*  7644 */ "IntlUtils" "\0"
  /*  7654 */ "InvokeEvent" "\0"
  /*  7666 */ "JSProcessActorChild" "\0"
  /*  7686 */ "JSProcessActorParent" "\0"
  /*  7707 */ "JSWindowActorChild" "\0"
  /*  7726 */ "JSWindowActorParent" "\0"
  /*  7746 */ "KeyEvent" "\0"
  /*  7755 */ "KeyboardEvent" "\0"
  /*  7769 */ "KeyframeEffect" "\0"
  /*  7784 */ "L10nFileSource" "\0"
  /*  7799 */ "L10nOverlays" "\0"
  /*  7812 */ "L10nRegistry" "\0"
  /*  7825 */ "LargestContentfulPaint" "\0"
  /*  7848 */ "LegacyMozTCPSocket" "\0"
  /*  7867 */ "Localization" "\0"
  /*  7880 */ "Location" "\0"
  /*  7889 */ "Lock" "\0"
  /*  7894 */ "LockManager" "\0"
  /*  7906 */ "MIDIAccess" "\0"
  /*  7917 */ "MIDIConnectionEvent" "\0"
  /*  7937 */ "MIDIInput" "\0"
  /*  7947 */ "MIDIInputMap" "\0"
  /*  7960 */ "MIDIMessageEvent" "\0"
  /*  7977 */ "MIDIOutput" "\0"
  /*  7988 */ "MIDIOutputMap" "\0"
  /*  8002 */ "MIDIPort" "\0"
  /*  8011 */ "MLS" "\0"
  /*  8015 */ "MLSGroupView" "\0"
  /*  8028 */ "MOZ_debug" "\0"
  /*  8038 */ "MatchGlob" "\0"
  /*  8048 */ "MatchPattern" "\0"
  /*  8061 */ "MatchPatternSet" "\0"
  /*  8077 */ "MathMLElement" "\0"
  /*  8091 */ "MediaCapabilities" "\0"
  /*  8109 */ "MediaControlService" "\0"
  /*  8129 */ "MediaController" "\0"
  /*  8145 */ "MediaDeviceInfo" "\0"
  /*  8161 */ "MediaDevices" "\0"
  /*  8174 */ "MediaElementAudioSourceNode" "\0"
  /*  8202 */ "MediaEncryptedEvent" "\0"
  /*  8222 */ "MediaError" "\0"
  /*  8233 */ "MediaKeyError" "\0"
  /*  8247 */ "MediaKeyMessageEvent" "\0"
  /*  8268 */ "MediaKeySession" "\0"
  /*  8284 */ "MediaKeyStatusMap" "\0"
  /*  8302 */ "MediaKeyStatusMap Iterator" "\0"
  /*  8329 */ "MediaKeySystemAccess" "\0"
  /*  8350 */ "MediaKeys" "\0"
  /*  8360 */ "MediaList" "\0"
  /*  8370 */ "MediaMetadata" "\0"
  /*  8384 */ "MediaQueryList" "\0"
  /*  8399 */ "MediaQueryListEvent" "\0"
  /*  8419 */ "MediaRecorder" "\0"
  /*  8433 */ "MediaRecorderErrorEvent" "\0"
  /*  8457 */ "MediaSession" "\0"
  /*  8470 */ "MediaSource" "\0"
  /*  8482 */ "MediaStream" "\0"
  /*  8494 */ "MediaStreamAudioDestinationNode" "\0"
  /*  8526 */ "MediaStreamAudioSourceNode" "\0"
  /*  8553 */ "MediaStreamError" "\0"
  /*  8570 */ "MediaStreamEvent" "\0"
  /*  8587 */ "MediaStreamTrack" "\0"
  /*  8604 */ "MediaStreamTrackAudioSourceNode" "\0"
  /*  8636 */ "MediaStreamTrackEvent" "\0"
  /*  8658 */ "MerchantValidationEvent" "\0"
  /*  8682 */ "MessageBroadcaster" "\0"
  /*  8701 */ "MessageChannel" "\0"
  /*  8716 */ "MessageEvent" "\0"
  /*  8729 */ "MessageListenerManager" "\0"
  /*  8752 */ "MessagePort" "\0"
  /*  8764 */ "MessageSender" "\0"
  /*  8778 */ "MimeType" "\0"
  /*  8787 */ "MimeTypeArray" "\0"
  /*  8801 */ "MouseEvent" "\0"
  /*  8812 */ "MouseScrollEvent" "\0"
  /*  8829 */ "MozCanvasPrintState" "\0"
  /*  8849 */ "MozDocumentMatcher" "\0"
  /*  8868 */ "MozDocumentObserver" "\0"
  /*  8888 */ "MozQueryInterface" "\0"
  /*  8906 */ "MozSharedMap" "\0"
  /*  8919 */ "MozSharedMap Iterator" "\0"
  /*  8941 */ "MozSharedMapChangeEvent" "\0"
  /*  8965 */ "MozStorageAsyncStatementParams" "\0"
  /*  8996 */ "MozStorageStatementParams" "\0"
  /*  9022 */ "MozStorageStatementRow" "\0"
  /*  9045 */ "MozWritableSharedMap" "\0"
  /*  9066 */ "MutationEvent" "\0"
  /*  9080 */ "MutationObserver" "\0"
  /*  9097 */ "MutationRecord" "\0"
  /*  9112 */ "NamedNodeMap" "\0"
  /*  9125 */ "NavigateEvent" "\0"
  /*  9139 */ "Navigation" "\0"
  /*  9150 */ "NavigationActivation" "\0"
  /*  9171 */ "NavigationCurrentEntryChangeEvent" "\0"
  /*  9205 */ "NavigationDestination" "\0"
  /*  9227 */ "NavigationHistoryEntry" "\0"
  /*  9250 */ "NavigationPreloadManager" "\0"
  /*  9275 */ "NavigationTransition" "\0"
  /*  9296 */ "Navigator" "\0"
  /*  9306 */ "NavigatorLogin" "\0"
  /*  9321 */ "NetworkInformation" "\0"
  /*  9340 */ "Node" "\0"
  /*  9345 */ "NodeFilter" "\0"
  /*  9356 */ "NodeIterator" "\0"
  /*  9369 */ "NodeList" "\0"
  /*  9378 */ "Notification" "\0"
  /*  9391 */ "NotificationEvent" "\0"
  /*  9409 */ "NotifyPaintEvent" "\0"
  /*  9426 */ "OES_draw_buffers_indexed" "\0"
  /*  9451 */ "OES_element_index_uint" "\0"
  /*  9474 */ "OES_fbo_render_mipmap" "\0"
  /*  9496 */ "OES_standard_derivatives" "\0"
  /*  9521 */ "OES_texture_float" "\0"
  /*  9539 */ "OES_texture_float_linear" "\0"
  /*  9564 */ "OES_texture_half_float" "\0"
  /*  9587 */ "OES_texture_half_float_linear" "\0"
  /*  9617 */ "OES_vertex_array_object" "\0"
  /*  9641 */ "OVR_multiview2" "\0"
  /*  9656 */ "OfflineAudioCompletionEvent" "\0"
  /*  9684 */ "OfflineAudioContext" "\0"
  /*  9704 */ "OffscreenCanvas" "\0"
  /*  9720 */ "OffscreenCanvasRenderingContext2D" "\0"
  /*  9754 */ "Option" "\0"
  /*  9761 */ "OscillatorNode" "\0"
  /*  9776 */ "PageTransitionEvent" "\0"
  /*  9796 */ "PaintRequest" "\0"
  /*  9809 */ "PaintRequestList" "\0"
  /*  9826 */ "PaintWorkletGlobalScope" "\0"
  /*  9850 */ "PannerNode" "\0"
  /*  9861 */ "ParentProcessMessageManager" "\0"
  /*  9889 */ "Path2D" "\0"
  /*  9896 */ "PathUtils" "\0"
  /*  9906 */ "PaymentAddress" "\0"
  /*  9921 */ "PaymentMethodChangeEvent" "\0"
  /*  9946 */ "PaymentRequest" "\0"
  /*  9961 */ "PaymentRequestUpdateEvent" "\0"
  /*  9987 */ "PaymentResponse" "\0"
  /* 10003 */ "Performance" "\0"
  /* 10015 */ "PerformanceEntry" "\0"
  /* 10032 */ "PerformanceEntryEvent" "\0"
  /* 10054 */ "PerformanceEventTiming" "\0"
  /* 10077 */ "PerformanceMark" "\0"
  /* 10093 */ "PerformanceMeasure" "\0"
  /* 10112 */ "PerformanceNavigation" "\0"
  /* 10134 */ "PerformanceNavigationTiming" "\0"
  /* 10162 */ "PerformanceObserver" "\0"
  /* 10182 */ "PerformanceObserverEntryList" "\0"
  /* 10211 */ "PerformancePaintTiming" "\0"
  /* 10234 */ "PerformanceResourceTiming" "\0"
  /* 10260 */ "PerformanceServerTiming" "\0"
  /* 10284 */ "PerformanceTiming" "\0"
  /* 10302 */ "PeriodicWave" "\0"
  /* 10315 */ "PermissionStatus" "\0"
  /* 10332 */ "Permissions" "\0"
  /* 10344 */ "PlacesBookmark" "\0"
  /* 10359 */ "PlacesBookmarkAddition" "\0"
  /* 10382 */ "PlacesBookmarkChanged" "\0"
  /* 10404 */ "PlacesBookmarkGuid" "\0"
  /* 10423 */ "PlacesBookmarkKeyword" "\0"
  /* 10445 */ "PlacesBookmarkMoved" "\0"
  /* 10465 */ "PlacesBookmarkRemoved" "\0"
  /* 10487 */ "PlacesBookmarkTags" "\0"
  /* 10506 */ "PlacesBookmarkTime" "\0"
  /* 10525 */ "PlacesBookmarkTitle" "\0"
  /* 10545 */ "PlacesBookmarkUrl" "\0"
  /* 10563 */ "PlacesEvent" "\0"
  /* 10575 */ "PlacesEventCounts" "\0"
  /* 10593 */ "PlacesFavicon" "\0"
  /* 10607 */ "PlacesHistoryCleared" "\0"
  /* 10628 */ "PlacesObservers" "\0"
  /* 10644 */ "PlacesPurgeCaches" "\0"
  /* 10662 */ "PlacesRanking" "\0"
  /* 10676 */ "PlacesVisit" "\0"
  /* 10688 */ "PlacesVisitRemoved" "\0"
  /* 10707 */ "PlacesVisitTitle" "\0"
  /* 10724 */ "PlacesWeakCallbackWrapper" "\0"
  /* 10750 */ "Plugin" "\0"
  /* 10757 */ "PluginArray" "\0"
  /* 10769 */ "PluginCrashedEvent" "\0"
  /* 10788 */ "PointerEvent" "\0"
  /* 10801 */ "PopStateEvent" "\0"
  /* 10815 */ "PopupBlockedEvent" "\0"
  /* 10833 */ "PopupPositionedEvent" "\0"
  /* 10854 */ "PositionStateEvent" "\0"
  /* 10873 */ "PrecompiledScript" "\0"
  /* 10891 */ "PrivateAttribution" "\0"
  /* 10910 */ "ProcessMessageManager" "\0"
  /* 10932 */ "ProcessingInstruction" "\0"
  /* 10954 */ "ProgressEvent" "\0"
  /* 10968 */ "PromiseDebugging" "\0"
  /* 10985 */ "PromiseNativeHandler" "\0"
  /* 11006 */ "PromiseRejectionEvent" "\0"
  /* 11028 */ "PublicKeyCredential" "\0"
  /* 11048 */ "PushEvent" "\0"
  /* 11058 */ "PushManager" "\0"
  /* 11070 */ "PushManagerImpl" "\0"
  /* 11086 */ "PushMessageData" "\0"
  /* 11102 */ "PushSubscription" "\0"
  /* 11119 */ "PushSubscriptionChangeEvent" "\0"
  /* 11147 */ "PushSubscriptionOptions" "\0"
  /* 11171 */ "RadioNodeList" "\0"
  /* 11185 */ "Range" "\0"
  /* 11191 */ "ReadableByteStreamController" "\0"
  /* 11220 */ "ReadableStream" "\0"
  /* 11235 */ "ReadableStream AsyncIterator" "\0"
  /* 11264 */ "ReadableStreamBYOBReader" "\0"
  /* 11289 */ "ReadableStreamBYOBRequest" "\0"
  /* 11315 */ "ReadableStreamDefaultController" "\0"
  /* 11347 */ "ReadableStreamDefaultReader" "\0"
  /* 11375 */ "Report" "\0"
  /* 11382 */ "ReportBody" "\0"
  /* 11393 */ "ReportingObserver" "\0"
  /* 11411 */ "Request" "\0"
  /* 11419 */ "ResizeObserver" "\0"
  /* 11434 */ "ResizeObserverEntry" "\0"
  /* 11454 */ "ResizeObserverSize" "\0"
  /* 11473 */ "Response" "\0"
  /* 11482 */ "SVGAElement" "\0"
  /* 11494 */ "SVGAngle" "\0"
  /* 11503 */ "SVGAnimateElement" "\0"
  /* 11521 */ "SVGAnimateMotionElement" "\0"
  /* 11545 */ "SVGAnimateTransformElement" "\0"
  /* 11572 */ "SVGAnimatedAngle" "\0"
  /* 11589 */ "SVGAnimatedBoolean" "\0"
  /* 11608 */ "SVGAnimatedEnumeration" "\0"
  /* 11631 */ "SVGAnimatedInteger" "\0"
  /* 11650 */ "SVGAnimatedLength" "\0"
  /* 11668 */ "SVGAnimatedLengthList" "\0"
  /* 11690 */ "SVGAnimatedNumber" "\0"
  /* 11708 */ "SVGAnimatedNumberList" "\0"
  /* 11730 */ "SVGAnimatedPreserveAspectRatio" "\0"
  /* 11761 */ "SVGAnimatedRect" "\0"
  /* 11777 */ "SVGAnimatedString" "\0"
  /* 11795 */ "SVGAnimatedTransformList" "\0"
  /* 11820 */ "SVGAnimationElement" "\0"
  /* 11840 */ "SVGCircleElement" "\0"
  /* 11857 */ "SVGClipPathElement" "\0"
  /* 11876 */ "SVGComponentTransferFunctionElement" "\0"
  /* 11912 */ "SVGDefsElement" "\0"
  /* 11927 */ "SVGDescElement" "\0"
  /* 11942 */ "SVGDiscardElement" "\0"
  /* 11960 */ "SVGElement" "\0"
  /* 11971 */ "SVGEllipseElement" "\0"
  /* 11989 */ "SVGFEBlendElement" "\0"
  /* 12007 */ "SVGFEColorMatrixElement" "\0"
  /* 12031 */ "SVGFEComponentTransferElement" "\0"
  /* 12061 */ "SVGFECompositeElement" "\0"
  /* 12083 */ "SVGFEConvolveMatrixElement" "\0"
  /* 12110 */ "SVGFEDiffuseLightingElement" "\0"
  /* 12138 */ "SVGFEDisplacementMapElement" "\0"
  /* 12166 */ "SVGFEDistantLightElement" "\0"
  /* 12191 */ "SVGFEDropShadowElement" "\0"
  /* 12214 */ "SVGFEFloodElement" "\0"
  /* 12232 */ "SVGFEFuncAElement" "\0"
  /* 12250 */ "SVGFEFuncBElement" "\0"
  /* 12268 */ "SVGFEFuncGElement" "\0"
  /* 12286 */ "SVGFEFuncRElement" "\0"
  /* 12304 */ "SVGFEGaussianBlurElement" "\0"
  /* 12329 */ "SVGFEImageElement" "\0"
  /* 12347 */ "SVGFEMergeElement" "\0"
  /* 12365 */ "SVGFEMergeNodeElement" "\0"
  /* 12387 */ "SVGFEMorphologyElement" "\0"
  /* 12410 */ "SVGFEOffsetElement" "\0"
  /* 12429 */ "SVGFEPointLightElement" "\0"
  /* 12452 */ "SVGFESpecularLightingElement" "\0"
  /* 12481 */ "SVGFESpotLightElement" "\0"
  /* 12503 */ "SVGFETileElement" "\0"
  /* 12520 */ "SVGFETurbulenceElement" "\0"
  /* 12543 */ "SVGFilterElement" "\0"
  /* 12560 */ "SVGForeignObjectElement" "\0"
  /* 12584 */ "SVGGElement" "\0"
  /* 12596 */ "SVGGeometryElement" "\0"
  /* 12615 */ "SVGGradientElement" "\0"
  /* 12634 */ "SVGGraphicsElement" "\0"
  /* 12653 */ "SVGImageElement" "\0"
  /* 12669 */ "SVGLength" "\0"
  /* 12679 */ "SVGLengthList" "\0"
  /* 12693 */ "SVGLineElement" "\0"
  /* 12708 */ "SVGLinearGradientElement" "\0"
  /* 12733 */ "SVGMPathElement" "\0"
  /* 12749 */ "SVGMarkerElement" "\0"
  /* 12766 */ "SVGMaskElement" "\0"
  /* 12781 */ "SVGMatrix" "\0"
  /* 12791 */ "SVGMetadataElement" "\0"
  /* 12810 */ "SVGNumber" "\0"
  /* 12820 */ "SVGNumberList" "\0"
  /* 12834 */ "SVGPathElement" "\0"
  /* 12849 */ "SVGPathSegment" "\0"
  /* 12864 */ "SVGPatternElement" "\0"
  /* 12882 */ "SVGPoint" "\0"
  /* 12891 */ "SVGPointList" "\0"
  /* 12904 */ "SVGPolygonElement" "\0"
  /* 12922 */ "SVGPolylineElement" "\0"
  /* 12941 */ "SVGPreserveAspectRatio" "\0"
  /* 12964 */ "SVGRadialGradientElement" "\0"
  /* 12989 */ "SVGRect" "\0"
  /* 12997 */ "SVGRectElement" "\0"
  /* 13012 */ "SVGSVGElement" "\0"
  /* 13026 */ "SVGScriptElement" "\0"
  /* 13043 */ "SVGSetElement" "\0"
  /* 13057 */ "SVGStopElement" "\0"
  /* 13072 */ "SVGStringList" "\0"
  /* 13086 */ "SVGStyleElement" "\0"
  /* 13102 */ "SVGSwitchElement" "\0"
  /* 13119 */ "SVGSymbolElement" "\0"
  /* 13136 */ "SVGTSpanElement" "\0"
  /* 13152 */ "SVGTextContentElement" "\0"
  /* 13174 */ "SVGTextElement" "\0"
  /* 13189 */ "SVGTextPathElement" "\0"
  /* 13208 */ "SVGTextPositioningElement" "\0"
  /* 13234 */ "SVGTitleElement" "\0"
  /* 13250 */ "SVGTransform" "\0"
  /* 13263 */ "SVGTransformList" "\0"
  /* 13280 */ "SVGUnitTypes" "\0"
  /* 13293 */ "SVGUseElement" "\0"
  /* 13307 */ "SVGViewElement" "\0"
  /* 13322 */ "Sanitizer" "\0"
  /* 13332 */ "Scheduler" "\0"
  /* 13342 */ "Screen" "\0"
  /* 13349 */ "ScreenLuminance" "\0"
  /* 13365 */ "ScreenOrientation" "\0"
  /* 13383 */ "ScriptProcessorNode" "\0"
  /* 13403 */ "ScrollAreaEvent" "\0"
  /* 13419 */ "ScrollViewChangeEvent" "\0"
  /* 13441 */ "SecurityPolicyViolationEvent" "\0"
  /* 13470 */ "Selection" "\0"
  /* 13480 */ "ServiceWorker" "\0"
  /* 13494 */ "ServiceWorkerContainer" "\0"
  /* 13517 */ "ServiceWorkerGlobalScope" "\0"
  /* 13542 */ "ServiceWorkerRegistration" "\0"
  /* 13568 */ "SessionStoreFormData" "\0"
  /* 13589 */ "SessionStoreScrollData" "\0"
  /* 13612 */ "SessionStoreUtils" "\0"
  /* 13630 */ "ShadowRealmGlobalScope" "\0"
  /* 13653 */ "ShadowRoot" "\0"
  /* 13664 */ "SharedWorker" "\0"
  /* 13677 */ "SharedWorkerGlobalScope" "\0"
  /* 13701 */ "SimpleGestureEvent" "\0"
  /* 13720 */ "SourceBuffer" "\0"
  /* 13733 */ "SourceBufferList" "\0"
  /* 13750 */ "SpeechGrammar" "\0"
  /* 13764 */ "SpeechGrammarList" "\0"
  /* 13782 */ "SpeechRecognition" "\0"
  /* 13800 */ "SpeechRecognitionAlternative" "\0"
  /* 13829 */ "SpeechRecognitionError" "\0"
  /* 13852 */ "SpeechRecognitionEvent" "\0"
  /* 13875 */ "SpeechRecognitionResult" "\0"
  /* 13899 */ "SpeechRecognitionResultList" "\0"
  /* 13927 */ "SpeechSynthesis" "\0"
  /* 13943 */ "SpeechSynthesisErrorEvent" "\0"
  /* 13969 */ "SpeechSynthesisEvent" "\0"
  /* 13990 */ "SpeechSynthesisUtterance" "\0"
  /* 14015 */ "SpeechSynthesisVoice" "\0"
  /* 14036 */ "StaticRange" "\0"
  /* 14048 */ "StereoPannerNode" "\0"
  /* 14065 */ "Storage" "\0"
  /* 14073 */ "StorageEvent" "\0"
  /* 14086 */ "StorageManager" "\0"
  /* 14101 */ "StreamFilter" "\0"
  /* 14114 */ "StreamFilterDataEvent" "\0"
  /* 14136 */ "StructuredCloneHolder" "\0"
  /* 14158 */ "StructuredCloneTester" "\0"
  /* 14180 */ "StyleSheet" "\0"
  /* 14191 */ "StyleSheetApplicableStateChangeEvent" "\0"
  /* 14228 */ "StyleSheetList" "\0"
  /* 14243 */ "StyleSheetRemovedEvent" "\0"
  /* 14266 */ "SubmitEvent" "\0"
  /* 14278 */ "SubtleCrypto" "\0"
  /* 14291 */ "SyncMessageSender" "\0"
  /* 14309 */ "SyncReadFile" "\0"
  /* 14322 */ "TCPServerSocket" "\0"
  /* 14338 */ "TCPServerSocketEvent" "\0"
  /* 14359 */ "TCPSocket" "\0"
  /* 14369 */ "TCPSocketErrorEvent" "\0"
  /* 14389 */ "TCPSocketEvent" "\0"
  /* 14404 */ "TaskController" "\0"
  /* 14419 */ "TaskPriorityChangeEvent" "\0"
  /* 14443 */ "TaskSignal" "\0"
  /* 14454 */ "TestUtils" "\0"
  /* 14464 */ "TestingDeprecatedInterface" "\0"
  /* 14491 */ "Text" "\0"
  /* 14496 */ "TextClause" "\0"
  /* 14507 */ "TextDecoder" "\0"
  /* 14519 */ "TextDecoderStream" "\0"
  /* 14537 */ "TextEncoder" "\0"
  /* 14549 */ "TextEncoderStream" "\0"
  /* 14567 */ "TextEvent" "\0"
  /* 14577 */ "TextMetrics" "\0"
  /* 14589 */ "TextTrack" "\0"
  /* 14599 */ "TextTrackCue" "\0"
  /* 14612 */ "TextTrackCueList" "\0"
  /* 14629 */ "TextTrackList" "\0"
  /* 14643 */ "TimeEvent" "\0"
  /* 14653 */ "TimeRanges" "\0"
  /* 14664 */ "ToggleEvent" "\0"
  /* 14676 */ "Touch" "\0"
  /* 14682 */ "TouchEvent" "\0"
  /* 14693 */ "TouchList" "\0"
  /* 14703 */ "TrackEvent" "\0"
  /* 14714 */ "TransformStream" "\0"
  /* 14730 */ "TransformStreamDefaultController" "\0"
  /* 14763 */ "TransitionEvent" "\0"
  /* 14779 */ "TreeColumn" "\0"
  /* 14790 */ "TreeColumns" "\0"
  /* 14802 */ "TreeContentView" "\0"
  /* 14818 */ "TreeWalker" "\0"
  /* 14829 */ "TrustedHTML" "\0"
  /* 14841 */ "TrustedScript" "\0"
  /* 14855 */ "TrustedScriptURL" "\0"
  /* 14872 */ "TrustedTypePolicy" "\0"
  /* 14890 */ "TrustedTypePolicyFactory" "\0"
  /* 14915 */ "UDPMessageEvent" "\0"
  /* 14931 */ "UDPSocket" "\0"
  /* 14941 */ "UIEvent" "\0"
  /* 14949 */ "URL" "\0"
  /* 14953 */ "URLSearchParams" "\0"
  /* 14969 */ "URLSearchParams Iterator" "\0"
  /* 14994 */ "UniFFIPointer" "\0"
  /* 15008 */ "UniFFIScaffolding" "\0"
  /* 15026 */ "UserActivation" "\0"
  /* 15041 */ "UserInteraction" "\0"
  /* 15057 */ "UserProximityEvent" "\0"
  /* 15076 */ "VRDisplay" "\0"
  /* 15086 */ "VRDisplayCapabilities" "\0"
  /* 15108 */ "VRDisplayEvent" "\0"
  /* 15123 */ "VREyeParameters" "\0"
  /* 15139 */ "VRFieldOfView" "\0"
  /* 15153 */ "VRFrameData" "\0"
  /* 15165 */ "VRMockController" "\0"
  /* 15182 */ "VRMockDisplay" "\0"
  /* 15196 */ "VRPose" "\0"
  /* 15203 */ "VRServiceTest" "\0"
  /* 15217 */ "VRStageParameters" "\0"
  /* 15235 */ "VTTCue" "\0"
  /* 15242 */ "VTTRegion" "\0"
  /* 15252 */ "ValidityState" "\0"
  /* 15266 */ "VideoColorSpace" "\0"
  /* 15282 */ "VideoDecoder" "\0"
  /* 15295 */ "VideoEncoder" "\0"
  /* 15308 */ "VideoFrame" "\0"
  /* 15319 */ "VideoPlaybackQuality" "\0"
  /* 15340 */ "VideoTrack" "\0"
  /* 15351 */ "VideoTrackList" "\0"
  /* 15366 */ "ViewTransition" "\0"
  /* 15381 */ "VisualViewport" "\0"
  /* 15396 */ "WEBGL_color_buffer_float" "\0"
  /* 15421 */ "WEBGL_compressed_texture_astc" "\0"
  /* 15451 */ "WEBGL_compressed_texture_etc" "\0"
  /* 15480 */ "WEBGL_compressed_texture_etc1" "\0"
  /* 15510 */ "WEBGL_compressed_texture_pvrtc" "\0"
  /* 15541 */ "WEBGL_compressed_texture_s3tc" "\0"
  /* 15571 */ "WEBGL_compressed_texture_s3tc_srgb" "\0"
  /* 15606 */ "WEBGL_debug_renderer_info" "\0"
  /* 15632 */ "WEBGL_debug_shaders" "\0"
  /* 15652 */ "WEBGL_depth_texture" "\0"
  /* 15672 */ "WEBGL_draw_buffers" "\0"
  /* 15691 */ "WEBGL_explicit_present" "\0"
  /* 15714 */ "WEBGL_lose_context" "\0"
  /* 15733 */ "WEBGL_provoking_vertex" "\0"
  /* 15756 */ "WGSLLanguageFeatures" "\0"
  /* 15777 */ "WakeLock" "\0"
  /* 15786 */ "WakeLockSentinel" "\0"
  /* 15803 */ "WaveShaperNode" "\0"
  /* 15818 */ "WebExtensionContentScript" "\0"
  /* 15844 */ "WebExtensionPolicy" "\0"
  /* 15863 */ "WebGL2RenderingContext" "\0"
  /* 15886 */ "WebGLActiveInfo" "\0"
  /* 15902 */ "WebGLBuffer" "\0"
  /* 15914 */ "WebGLContextEvent" "\0"
  /* 15932 */ "WebGLFramebuffer" "\0"
  /* 15949 */ "WebGLProgram" "\0"
  /* 15962 */ "WebGLQuery" "\0"
  /* 15973 */ "WebGLRenderbuffer" "\0"
  /* 15991 */ "WebGLRenderingContext" "\0"
  /* 16013 */ "WebGLSampler" "\0"
  /* 16026 */ "WebGLShader" "\0"
  /* 16038 */ "WebGLShaderPrecisionFormat" "\0"
  /* 16065 */ "WebGLSync" "\0"
  /* 16075 */ "WebGLTexture" "\0"
  /* 16088 */ "WebGLTransformFeedback" "\0"
  /* 16111 */ "WebGLUniformLocation" "\0"
  /* 16132 */ "WebGLVertexArrayObject" "\0"
  /* 16155 */ "WebKitCSSMatrix" "\0"
  /* 16171 */ "WebSocket" "\0"
  /* 16181 */ "WebTransport" "\0"
  /* 16194 */ "WebTransportBidirectionalStream" "\0"
  /* 16226 */ "WebTransportDatagramDuplexStream" "\0"
  /* 16259 */ "WebTransportError" "\0"
  /* 16277 */ "WebTransportReceiveStream" "\0"
  /* 16303 */ "WebTransportSendStream" "\0"
  /* 16326 */ "WheelEvent" "\0"
  /* 16337 */ "Window" "\0"
  /* 16344 */ "WindowClient" "\0"
  /* 16357 */ "WindowContext" "\0"
  /* 16371 */ "WindowGlobalChild" "\0"
  /* 16389 */ "WindowGlobalParent" "\0"
  /* 16408 */ "WindowRoot" "\0"
  /* 16419 */ "Worker" "\0"
  /* 16426 */ "WorkerDebuggerGlobalScope" "\0"
  /* 16452 */ "WorkerGlobalScope" "\0"
  /* 16470 */ "WorkerLocation" "\0"
  /* 16485 */ "WorkerNavigator" "\0"
  /* 16501 */ "WorkerTestUtils" "\0"
  /* 16517 */ "Worklet" "\0"
  /* 16525 */ "WorkletGlobalScope" "\0"
  /* 16544 */ "WritableStream" "\0"
  /* 16559 */ "WritableStreamDefaultController" "\0"
  /* 16591 */ "WritableStreamDefaultWriter" "\0"
  /* 16619 */ "XMLDocument" "\0"
  /* 16631 */ "XMLHttpRequest" "\0"
  /* 16646 */ "XMLHttpRequestEventTarget" "\0"
  /* 16672 */ "XMLHttpRequestUpload" "\0"
  /* 16693 */ "XMLSerializer" "\0"
  /* 16707 */ "XPathEvaluator" "\0"
  /* 16722 */ "XPathExpression" "\0"
  /* 16738 */ "XPathResult" "\0"
  /* 16750 */ "XRBoundedReferenceSpace" "\0"
  /* 16774 */ "XRFrame" "\0"
  /* 16782 */ "XRInputSource" "\0"
  /* 16796 */ "XRInputSourceArray" "\0"
  /* 16815 */ "XRInputSourceEvent" "\0"
  /* 16834 */ "XRInputSourcesChangeEvent" "\0"
  /* 16860 */ "XRPose" "\0"
  /* 16867 */ "XRReferenceSpace" "\0"
  /* 16884 */ "XRReferenceSpaceEvent" "\0"
  /* 16906 */ "XRRenderState" "\0"
  /* 16920 */ "XRRigidTransform" "\0"
  /* 16937 */ "XRSession" "\0"
  /* 16947 */ "XRSessionEvent" "\0"
  /* 16962 */ "XRSpace" "\0"
  /* 16970 */ "XRSystem" "\0"
  /* 16979 */ "XRView" "\0"
  /* 16986 */ "XRViewerPose" "\0"
  /* 16999 */ "XRViewport" "\0"
  /* 17010 */ "XRWebGLLayer" "\0"
  /* 17023 */ "XSLTProcessor" "\0"
  /* 17037 */ "XULCommandEvent" "\0"
  /* 17053 */ "XULElement" "\0"
  /* 17064 */ "XULFrameElement" "\0"
  /* 17080 */ "XULMenuElement" "\0"
  /* 17095 */ "XULPopupElement" "\0"
  /* 17111 */ "XULResizerElement" "\0"
  /* 17129 */ "XULTextElement" "\0"
  /* 17144 */ "XULTreeElement" "\0"
  /* 17159 */ "console" "\0"
  /* 17167 */ "webkitSpeechGrammar" "\0"
  /* 17187 */ "webkitSpeechGrammarList" "\0"
  /* 17211 */ "webkitSpeechRecognition" "\0"
  /* 17235 */ "webkitURL"
};

}  // namespace binding_detail

// Making this enum bigger than a uint16_t has consequences on the size
// of some structs (eg. WebIDLNameTableEntry) and tables. We should try
// to avoid that.
static_assert(EnumTypeFitsWithin<BindingNamesOffset, uint16_t>::value,
              "Size increase");

} // namespace mozilla::dom

